package com.gyee.table.entity;

import lombok.Data;

import javax.persistence.Table;

/**
 * @author hlf
 * @date 2023/3/20 9:56
 * 文件说明：
 */
@Data
@Table(name="configurationinfo")
public class Configurationinfo {

    private String id;
    //组件名称(筛选)
    private String name;
    //是否需要支持修改背景色
    private String needBg;
    //是否需要支持修改线条颜色
    private String needColor;
    //是否需要支持修改线条宽度
    private String needLw;
    //是否需要支持值映射
    private String needMap;
    //仅查看已禁用(筛选)
    private String needMapDone;
    //组件状态的其他补充描述
    private String otherDesc;
    //组件状态的其他客制化需求描述
    private String otherNeed;
    //组件状态描述
    private String stateDesc;
    //组件的Svg字符串
    private String svg;
    //是否转换Svg
    private String trSvg;
    //是否转换Svg
    private String type;
    //组件上传日期
    private String uploadDate;
    //上传用户ID(筛选)
    private String uploadUser;
    //组件更新日期
    private String updataDate;
    //修改用户ID(筛选)
    private String changeUser;
    //页码
    private Integer pageNumber;
    //每页显示数量
    private Integer pageSize;
    //上传用户昵称
    private String uploadUserStr;
    //修改用户昵称
    private String changeUserStr;
    //权限等级
    private Integer userAuthority;
}
