package com.gyee.table.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.table.entity.SysUser;
import com.gyee.table.mapper.SysUserMapper;
import com.gyee.table.service.ISysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author hlf
 * @date 2023/3/28 9:32
 * 文件说明：
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Autowired
    private SysUserMapper userMapper;

    @Override
    public SysUser selectUserByLoginName(String loginName) {
        return userMapper.selectUserByLoginName(loginName);
    }

    @Override
    public SysUser checkPassword(String loginName, String password) {
        return userMapper.checkPassword(loginName, password);
    }
}
