package com.gyee.table.jwt.annotation;

import java.lang.annotation.*;

/**
 * @author hlf
 * @date 2023/4/1 16:29
 * 文件说明：除登录外使用的注解
 */
@Target({ElementType.METHOD,ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface PassToken {

    boolean required() default true;

}
